#!/bin/sh
#
# rctl -- Digium R-Series control application
#
# Copyright (C) 2011, Digium, Inc.
#
# Jason Parker <qwell@digium.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2.  See the COPYING file
# at the top of the source tree.
#

if [ -f $1 -o -c $1 ]; then
	DEVICE=$1
else
	DEVICE=/dev/$1
fi
SWITCH=$(/sbin/rctl --get-id-switch -t ${DEVICE} | awk -F": " '/^ID Switch: / {print $2}')

if [ "${SWITCH}" -ge "0" -a "${SWITCH}" -le "7" ]; then
	echo -n "${SWITCH}"
else
	exit 1
fi
